<!DOCTYPE html>
<html lang="en">

<head>

    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Meta -->
    <meta name="description" content="Serviceblick Account-Verwaltung">
    <meta name="author" content="www.serviceblick.com">

    <title>Serviceblick Account-Verwaltung</title>
    <!-- vendor css -->
    <link href="/style-global/lib/fontawesome-free/css/all.min.css?v=[cs_version]" rel="stylesheet">
    <link href="/style-global/lib/ionicons/css/ionicons.min.css?v=[cs_version]" rel="stylesheet">
    <link href="/style-global/lib/typicons.font/typicons.css?v=[cs_version]" rel="stylesheet">
    <link rel="stylesheet" href="/style-global/lib/bootstrap-table/css/bootstrap-table.min.css?v=[cs_version]">
    {% include 'snippets/global-header-include.tpl' %} 
    <!-- global CSS -->
    <link rel="stylesheet" href="/style-global/css/azia-global.min.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/css/serviceblick-global.css?v=[cs_version]">
    <link rel="stylesheet" href="css/dashboard-custom.css?v=[cs_version]">

</head>

<body id="page-top" class="az-body">

    <div class="az-header">
        <div class="container">
            <div class="az-header-left"><a href="" id="azContentLeftShow" class="az-header-arrow d-block d-lg-none"><i class="icon ion-md-arrow-back"></i></a> 
                <a href="index.html" class="az-logo"><span></span><img class="az-logo" src="/style-global/img/icons/account.png" alt="Account-Verwaltung"></a>
                <a href="index.html"><span class="nav-link text-dark tx-20">Kontoverwaltung</span></a>
            </div><!-- az-header-left -->
            <div class="az-header-menu">
                <div class="az-header-menu-header">
                  <a href="index.html" class="az-logo"><span></span><img class="az-logo" src="/style-global/img/icons/account.png" alt="Account-Verwaltung"></a>
                  <a href="" class="close">&times;</a>
                </div><!-- az-header-menu-header -->
                <!-- <ul class="nav">
                    <li class="nav-item">
                        <a href="#" class="nav-link  with-sub"><i
                                class="typcn typcn-edit tx-20"></i>Placeholder nav-link</a>
                        <nav class="az-menu-sub">
                            <a href="#" class="nav-link">Placeholder nav-link
                            </a>
                        </nav>
                    </li>
                </ul> -->
            </div><!-- az-header-menu -->
            <div class="az-header-right">
                {% include 'snippets/header-apps-menu.tpl' %}
                {% include 'snippets/header-profile-menu.tpl' %}
            </div><!-- az-header-right -->
        </div><!-- container -->
    </div><!-- az-header -->

<div class="az-content az-content-mail">
    <div class="container">
        <div class="az-content-left az-content-left-mail  az-content-left-components">
            <div class="az-content-header">
                <!-- use if there is main menu that needs to be displayed in mobile view <a href="" id="azMenuShow" class="az-header-menu-icon"><span></span>-->
                <a href="" id="azContentLeftHide" class="az-header-arrow">
                    <i class="icon ion-md-arrow-forward d-sm-none"></i>
                    <i class="icon ion-md-close d-none d-sm-block"></i>
                </a>
            </div><!-- az-content-header -->
            {% include 'snippets/content-left-account-nav.tpl' %}
        </div><!-- az-content-left -->

        <div class="az-content-body az-content-body-mail pd-l-40 pd-r-40">
            <div class="mg-b-10"><a class="az-header-arrow"  id="back-link"> <i
                        class="icon ion-md-arrow-back"></i></a></div><!-- back link will be set depending if role or user is being edited -->
            <h3 id="headline_editor" class="invoice-title mg-b-20"><!-- Headline will be set depending if role or user is being edited --></h3>

            <div class="row mg-b-20">
                <div class="col">
                    <div class="az-content-label tx-13 mg-b-5">Details</div>
                    <p id="hint1_user" class="mg-b-20 toggable_editor_hints"></p>
                    <p id="hint1_role" class="mg-b-20 toggable_editor_hints"></p>
                    <div class="pd-20 bg-light">
                        <div class="d-sm-flex row">
                            <div class="col-lg-4 mg-b-0">
                                <label class="form-label">Name: </label>
                                <span id="edited_name"><!-- name placeholder --></span>
                            </div>
                            <div id="edited_desc" class="col-lg-6  mg-b-0">
                                <label class="form-label">Beschreibung: </label>
                                <span id="description"><!-- description placeholder --></span>
                            </div>
                            <div id="edited_link_div" class="col-lg-2  mg-b-0  text-right">
                                <a href="javascript:void(0)" id="details-edit-link" data-selector="role-details-edit" class="text-primary nav-link">edit</a>
                            </div>
                        </div>
                    </div>
                </div><!-- col -->
            </div><!-- row -->

            <hr class="mg-y-20">

            <div class="row mg-b-5">
                <div class="col">
                    <div class="az-content-label tx-13 mg-b-5">BERECHTIGUNGEN </div>
                    <p id="hint2_user" class="mg-b-20 toggable_editor_hints"></p>
                    <p id="hint2_role" class="mg-b-20 toggable_editor_hints"></p>
                </div><!-- col -->
            </div><!-- row -->
            <div class="row row-sm mg-b-20">
                <div class="col-lg-6">

                    <h6 class="card-title">Rollenmitgliedschaft</h6>
                    <!-- selected user roles-->

                    <div class="bd pd-20 bg-light">
                        <div id="role_memberships_container" class="d-xlg-flex wd-xlg-400">
                            <!-- user actual roles dynamically generated from snippit here -->
                        </div>
                    </div>

                    <!-- list of user roles to select-->
                    <p class="az-profile-name-text  mg-t-10 mg-b-5">Rolle auswählen um sie zuzuweisen</p>
                    <div id="role_container" style="max-height: 200px; overflow: auto;">
                        <ul id="check-list-box" class="list-group">
                            <!-- role list dynamically generated from snippit here -->
                        </ul>
                    </div>

                </div><!-- col-6 -->
                <div class="col-lg-6 mg-t-20 mg-lg-t-0">
                    <h6 class="card-title">Direkt Zugewiesene Berechtigung</h6>

                    <!-- assigned user rights-->
                    <div class="az-profile-name-text  mg-b-10">
                        <ul id="check-list-box-user-rules" class="list-group checked-list-box">
                            <!-- user rule list dynamically generated from snippit here -->


                            <!-- to show went list is empty -->
                            <li id="user_rule_list_item" class="bd bg-light list-group-item pd-r-0">
                                <div class="row rules-list-format">
                                    <div>Keine direkt Zugewiesene Berechtigung</div>
                                </div>
                            </li>

                        </ul>
                    </div>


                    <!-- list of rights to select-->
                    <p class="az-profile-name-text  mg-t-10 mg-b-5">Rechte auswählen um sie zuzuweisen und anpassen
                    </p>
                    <div id="rule_container" style="max-height: 200px; overflow: auto;">
                        <ul id="check-list-box-rules" class="list-group">
                            <!-- rule list dynamically generated from snippit here -->
                        </ul>
                    </div>

                </div><!-- col-6 -->
            </div> <!-- 2 column row -->

            <div class="row mg-b-20">
                <div class="col">
                    <h6 class="card-title" id="hint3">Gesamtberechtigungen</h6>
                    <div class="mg-b-20" id="bootstraptablecontainer_rights">
                        <table class="table az-table-reference mg-0" id="rights_table">
                            <thead>
                                <tr>
                                    <th class="force-wrap">Rule</th>
                                    <th>Action</th>
                                    <th>Weight</th>
                                    <th class="force-wrap">Source</th>
                                </tr>
                                <tr>
                                    <td colspan="4">Berechtigungen werden geladen...</td>
                                </tr>
                            </thead>
                        </table>
                    </div>

                </div>
            </div>
        </div><!-- az-content-body -->
    </div><!-- container -->
</div><!-- az-content -->

{% include 'snippets/footer.tpl' %}
<!-- az-footer -->

<div id="password_change_modal" style="display:none; cursor: default">
    <div class="password-change-dialog_wrapper modal-content">
        <div class="modal-header"><h6 class="modal-title">Password ändern</h6></div>
        <div class="modal-body">
            <div class="row row-xs mg-b-20">
                <div class="col-md-5"><label class="form-label text-left mg-b-0">Aktuelles Passwort:</label></div>
                <div class="col-md-7 mg-t-5 mg-md-t-0"><input id="old_password" type="password"/></div>
            </div>
            <div class="row row-xs mg-b-20">
                <div class="col-md-5"><label class="form-label text-left mg-b-0">Neues Passwort:</label></div>
                <div class="col-md-7 mg-t-5 mg-md-t-0"><input id="new_password" type="password"/></div>
            </div>
            <div class="row row-xs mg-b-20">
                <div class="col-md-5"><label class="form-label text-left mg-b-0">Neues Passwort Bestätigen:</label>
                </div>
                <div class="col-md-7 mg-t-5 mg-md-t-0"><input id="new_password_confirm" type="password"/></div>
            </div>
        </div>
        <div class="modal-footer justify-content-center">
            <button id="submit_password_dialog_button" type="button" class="btn btn-indigo">Passwort ändern</button>
            <button onclick="$.unblockUI();" type="button" class="btn btn-outline-light">Abbrechen</button>
        </div>
    </div>
</div>

<!-- snippit for user actual roles -->

<div style="display: None;">
    <button data-selector="btn-role" id="role_button_template" class="btn btn-outline-light btn-with-icon mg-r-5 btn-role"><i class="typcn typcn-times"></i>[{role_name}]</button>
</div>

<!-- snippit for role list -->
<div style="display: None;">
    <li id="role_list_item" class="list-group-item">
        <label><input id="[{role_id}]" type="checkbox" class="role-check-box">
            <span class="ml-2 tx-dark checkbox-role-list">[{role_name}]</br>
                <span class="az-profile-name-text">[{role_description}]</span>
            </span>
        </label>
    </li>
</div>

<!-- snippit for user rules list -->
<div style="display: None;">
<li id="user_rule_list_item" class="bd bg-light list-group-item pd-r-0">
    <div class="row rules-list-format">
        <div class="col-1" data-selector="assigned-rule"><a class="text-muted  btn btn-with-icon pd-0"><i class="typcn typcn-times"></i></a></div>
        <div class="col-4 az-profile-name-text force-wrap">[{rule_name}]</div>
        <div class="col-4" data-selector="assigned-rule-action" >[{rule_action}]</div>
        <div class="col-1" data-selector="assigned-rule-weight" >[{rule_weight}]</div>
        <div class="col-1"><a href="javascript:void(0)" data-selector="assigned-rule-edit" class="text-primary nav-link">edit</a> </div>
    </div>
</li>
</div>

<!-- snippit for basic rules list -->
<div style="display: None;">
    <li id="rule_list_item" class="list-group-item">
        <label><input id="[{rule_id}]" data-rule-action="[{rule_action}]" data-rule-weight="[{rule_weight}]" type="checkbox" class="rule-check-box">
            <span class="ml-2 tx-dark checkbox-role-list">[{rule_name}]
            </span>
        </label>
    </li>
</div>

{% include 'snippets/global-script-include.tpl' %} 
<script src="/style-global/lib/bootstrap-table/js/bootstrap-table.min.js?v=[cs_version]"></script>

<script defer type="module">
    import { pbBrain } from '../csf-lib/pb-brain.js?v=[cs_version]';
    import { CONFIG } from '../pb-config.js?v=[cs_version]';
    document.API_BASE_URL = CONFIG.API_BASE_URL
    new pbBrain().boot("user-management-circuit");

    Fnon.Box.Circle('.az-content-body','', {svgSize: { w: '50px', h: '50px' }, svgColor: '#3a22fa', })
</script>

</body>

</html>